// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.28.1
// 	protoc        v3.15.8
// source: uzytkownicy/uzytkownicy.proto

package uzytkownicy

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type NowyUzytkownik struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Nazwa string `protobuf:"bytes,1,opt,name=nazwa,proto3" json:"nazwa,omitempty"`
	Wiek  int32  `protobuf:"varint,2,opt,name=wiek,proto3" json:"wiek,omitempty"`
}

func (x *NowyUzytkownik) Reset() {
	*x = NowyUzytkownik{}
	if protoimpl.UnsafeEnabled {
		mi := &file_uzytkownicy_uzytkownicy_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *NowyUzytkownik) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*NowyUzytkownik) ProtoMessage() {}

func (x *NowyUzytkownik) ProtoReflect() protoreflect.Message {
	mi := &file_uzytkownicy_uzytkownicy_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use NowyUzytkownik.ProtoReflect.Descriptor instead.
func (*NowyUzytkownik) Descriptor() ([]byte, []int) {
	return file_uzytkownicy_uzytkownicy_proto_rawDescGZIP(), []int{0}
}

func (x *NowyUzytkownik) GetNazwa() string {
	if x != nil {
		return x.Nazwa
	}
	return ""
}

func (x *NowyUzytkownik) GetWiek() int32 {
	if x != nil {
		return x.Wiek
	}
	return 0
}

type Uzytkownik struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Nazwa string `protobuf:"bytes,1,opt,name=nazwa,proto3" json:"nazwa,omitempty"`
	Wiek  int32  `protobuf:"varint,2,opt,name=wiek,proto3" json:"wiek,omitempty"`
	Id    int32  `protobuf:"varint,3,opt,name=id,proto3" json:"id,omitempty"`
}

func (x *Uzytkownik) Reset() {
	*x = Uzytkownik{}
	if protoimpl.UnsafeEnabled {
		mi := &file_uzytkownicy_uzytkownicy_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Uzytkownik) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Uzytkownik) ProtoMessage() {}

func (x *Uzytkownik) ProtoReflect() protoreflect.Message {
	mi := &file_uzytkownicy_uzytkownicy_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Uzytkownik.ProtoReflect.Descriptor instead.
func (*Uzytkownik) Descriptor() ([]byte, []int) {
	return file_uzytkownicy_uzytkownicy_proto_rawDescGZIP(), []int{1}
}

func (x *Uzytkownik) GetNazwa() string {
	if x != nil {
		return x.Nazwa
	}
	return ""
}

func (x *Uzytkownik) GetWiek() int32 {
	if x != nil {
		return x.Wiek
	}
	return 0
}

func (x *Uzytkownik) GetId() int32 {
	if x != nil {
		return x.Id
	}
	return 0
}

type PobierzPrmUzytkownikow struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields
}

func (x *PobierzPrmUzytkownikow) Reset() {
	*x = PobierzPrmUzytkownikow{}
	if protoimpl.UnsafeEnabled {
		mi := &file_uzytkownicy_uzytkownicy_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PobierzPrmUzytkownikow) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PobierzPrmUzytkownikow) ProtoMessage() {}

func (x *PobierzPrmUzytkownikow) ProtoReflect() protoreflect.Message {
	mi := &file_uzytkownicy_uzytkownicy_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PobierzPrmUzytkownikow.ProtoReflect.Descriptor instead.
func (*PobierzPrmUzytkownikow) Descriptor() ([]byte, []int) {
	return file_uzytkownicy_uzytkownicy_proto_rawDescGZIP(), []int{2}
}

type ListaUzytkownikow struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Uzytkownicy []*Uzytkownik `protobuf:"bytes,1,rep,name=uzytkownicy,proto3" json:"uzytkownicy,omitempty"`
}

func (x *ListaUzytkownikow) Reset() {
	*x = ListaUzytkownikow{}
	if protoimpl.UnsafeEnabled {
		mi := &file_uzytkownicy_uzytkownicy_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListaUzytkownikow) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListaUzytkownikow) ProtoMessage() {}

func (x *ListaUzytkownikow) ProtoReflect() protoreflect.Message {
	mi := &file_uzytkownicy_uzytkownicy_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListaUzytkownikow.ProtoReflect.Descriptor instead.
func (*ListaUzytkownikow) Descriptor() ([]byte, []int) {
	return file_uzytkownicy_uzytkownicy_proto_rawDescGZIP(), []int{3}
}

func (x *ListaUzytkownikow) GetUzytkownicy() []*Uzytkownik {
	if x != nil {
		return x.Uzytkownicy
	}
	return nil
}

var File_uzytkownicy_uzytkownicy_proto protoreflect.FileDescriptor

var file_uzytkownicy_uzytkownicy_proto_rawDesc = []byte{
	0x0a, 0x1d, 0x75, 0x7a, 0x79, 0x74, 0x6b, 0x6f, 0x77, 0x6e, 0x69, 0x63, 0x79, 0x2f, 0x75, 0x7a,
	0x79, 0x74, 0x6b, 0x6f, 0x77, 0x6e, 0x69, 0x63, 0x79, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12,
	0x0b, 0x75, 0x7a, 0x79, 0x74, 0x6b, 0x6f, 0x77, 0x6e, 0x69, 0x63, 0x79, 0x22, 0x3a, 0x0a, 0x0e,
	0x4e, 0x6f, 0x77, 0x79, 0x55, 0x7a, 0x79, 0x74, 0x6b, 0x6f, 0x77, 0x6e, 0x69, 0x6b, 0x12, 0x14,
	0x0a, 0x05, 0x6e, 0x61, 0x7a, 0x77, 0x61, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x6e,
	0x61, 0x7a, 0x77, 0x61, 0x12, 0x12, 0x0a, 0x04, 0x77, 0x69, 0x65, 0x6b, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x05, 0x52, 0x04, 0x77, 0x69, 0x65, 0x6b, 0x22, 0x46, 0x0a, 0x0a, 0x55, 0x7a, 0x79, 0x74,
	0x6b, 0x6f, 0x77, 0x6e, 0x69, 0x6b, 0x12, 0x14, 0x0a, 0x05, 0x6e, 0x61, 0x7a, 0x77, 0x61, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x6e, 0x61, 0x7a, 0x77, 0x61, 0x12, 0x12, 0x0a, 0x04,
	0x77, 0x69, 0x65, 0x6b, 0x18, 0x02, 0x20, 0x01, 0x28, 0x05, 0x52, 0x04, 0x77, 0x69, 0x65, 0x6b,
	0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x05, 0x52, 0x02, 0x69, 0x64,
	0x22, 0x18, 0x0a, 0x16, 0x50, 0x6f, 0x62, 0x69, 0x65, 0x72, 0x7a, 0x50, 0x72, 0x6d, 0x55, 0x7a,
	0x79, 0x74, 0x6b, 0x6f, 0x77, 0x6e, 0x69, 0x6b, 0x6f, 0x77, 0x22, 0x4e, 0x0a, 0x11, 0x4c, 0x69,
	0x73, 0x74, 0x61, 0x55, 0x7a, 0x79, 0x74, 0x6b, 0x6f, 0x77, 0x6e, 0x69, 0x6b, 0x6f, 0x77, 0x12,
	0x39, 0x0a, 0x0b, 0x75, 0x7a, 0x79, 0x74, 0x6b, 0x6f, 0x77, 0x6e, 0x69, 0x63, 0x79, 0x18, 0x01,
	0x20, 0x03, 0x28, 0x0b, 0x32, 0x17, 0x2e, 0x75, 0x7a, 0x79, 0x74, 0x6b, 0x6f, 0x77, 0x6e, 0x69,
	0x63, 0x79, 0x2e, 0x55, 0x7a, 0x79, 0x74, 0x6b, 0x6f, 0x77, 0x6e, 0x69, 0x6b, 0x52, 0x0b, 0x75,
	0x7a, 0x79, 0x74, 0x6b, 0x6f, 0x77, 0x6e, 0x69, 0x63, 0x79, 0x32, 0xb8, 0x01, 0x0a, 0x0b, 0x5a,
	0x61, 0x72, 0x7a, 0x61, 0x64, 0x7a, 0x61, 0x6e, 0x69, 0x65, 0x12, 0x4b, 0x0a, 0x11, 0x55, 0x74,
	0x77, 0x6f, 0x72, 0x7a, 0x55, 0x7a, 0x79, 0x74, 0x6b, 0x6f, 0x77, 0x6e, 0x69, 0x6b, 0x61, 0x12,
	0x1b, 0x2e, 0x75, 0x7a, 0x79, 0x74, 0x6b, 0x6f, 0x77, 0x6e, 0x69, 0x63, 0x79, 0x2e, 0x4e, 0x6f,
	0x77, 0x79, 0x55, 0x7a, 0x79, 0x74, 0x6b, 0x6f, 0x77, 0x6e, 0x69, 0x6b, 0x1a, 0x17, 0x2e, 0x75,
	0x7a, 0x79, 0x74, 0x6b, 0x6f, 0x77, 0x6e, 0x69, 0x63, 0x79, 0x2e, 0x55, 0x7a, 0x79, 0x74, 0x6b,
	0x6f, 0x77, 0x6e, 0x69, 0x6b, 0x22, 0x00, 0x12, 0x5c, 0x0a, 0x13, 0x50, 0x6f, 0x62, 0x69, 0x65,
	0x72, 0x7a, 0x55, 0x7a, 0x79, 0x74, 0x6b, 0x6f, 0x77, 0x6e, 0x69, 0x6b, 0x6f, 0x77, 0x12, 0x23,
	0x2e, 0x75, 0x7a, 0x79, 0x74, 0x6b, 0x6f, 0x77, 0x6e, 0x69, 0x63, 0x79, 0x2e, 0x50, 0x6f, 0x62,
	0x69, 0x65, 0x72, 0x7a, 0x50, 0x72, 0x6d, 0x55, 0x7a, 0x79, 0x74, 0x6b, 0x6f, 0x77, 0x6e, 0x69,
	0x6b, 0x6f, 0x77, 0x1a, 0x1e, 0x2e, 0x75, 0x7a, 0x79, 0x74, 0x6b, 0x6f, 0x77, 0x6e, 0x69, 0x63,
	0x79, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x61, 0x55, 0x7a, 0x79, 0x74, 0x6b, 0x6f, 0x77, 0x6e, 0x69,
	0x6b, 0x6f, 0x77, 0x22, 0x00, 0x42, 0x49, 0x5a, 0x47, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x63, 0x6f, 0x6d, 0x2f, 0x6d, 0x61, 0x72, 0x65, 0x6b, 0x32, 0x32, 0x32, 0x32, 0x32, 0x2f, 0x67,
	0x6f, 0x50, 0x72, 0x6f, 0x6a, 0x2f, 0x67, 0x52, 0x43, 0x50, 0x2f, 0x30, 0x33, 0x5f, 0x6d, 0x6f,
	0x73, 0x73, 0x5f, 0x6d, 0x79, 0x2f, 0x30, 0x31, 0x5f, 0x75, 0x7a, 0x79, 0x74, 0x6b, 0x6f, 0x77,
	0x6e, 0x69, 0x63, 0x79, 0x2f, 0x75, 0x7a, 0x79, 0x74, 0x6b, 0x6f, 0x77, 0x6e, 0x69, 0x63, 0x79,
	0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_uzytkownicy_uzytkownicy_proto_rawDescOnce sync.Once
	file_uzytkownicy_uzytkownicy_proto_rawDescData = file_uzytkownicy_uzytkownicy_proto_rawDesc
)

func file_uzytkownicy_uzytkownicy_proto_rawDescGZIP() []byte {
	file_uzytkownicy_uzytkownicy_proto_rawDescOnce.Do(func() {
		file_uzytkownicy_uzytkownicy_proto_rawDescData = protoimpl.X.CompressGZIP(file_uzytkownicy_uzytkownicy_proto_rawDescData)
	})
	return file_uzytkownicy_uzytkownicy_proto_rawDescData
}

var file_uzytkownicy_uzytkownicy_proto_msgTypes = make([]protoimpl.MessageInfo, 4)
var file_uzytkownicy_uzytkownicy_proto_goTypes = []interface{}{
	(*NowyUzytkownik)(nil),         // 0: uzytkownicy.NowyUzytkownik
	(*Uzytkownik)(nil),             // 1: uzytkownicy.Uzytkownik
	(*PobierzPrmUzytkownikow)(nil), // 2: uzytkownicy.PobierzPrmUzytkownikow
	(*ListaUzytkownikow)(nil),      // 3: uzytkownicy.ListaUzytkownikow
}
var file_uzytkownicy_uzytkownicy_proto_depIdxs = []int32{
	1, // 0: uzytkownicy.ListaUzytkownikow.uzytkownicy:type_name -> uzytkownicy.Uzytkownik
	0, // 1: uzytkownicy.Zarzadzanie.UtworzUzytkownika:input_type -> uzytkownicy.NowyUzytkownik
	2, // 2: uzytkownicy.Zarzadzanie.PobierzUzytkownikow:input_type -> uzytkownicy.PobierzPrmUzytkownikow
	1, // 3: uzytkownicy.Zarzadzanie.UtworzUzytkownika:output_type -> uzytkownicy.Uzytkownik
	3, // 4: uzytkownicy.Zarzadzanie.PobierzUzytkownikow:output_type -> uzytkownicy.ListaUzytkownikow
	3, // [3:5] is the sub-list for method output_type
	1, // [1:3] is the sub-list for method input_type
	1, // [1:1] is the sub-list for extension type_name
	1, // [1:1] is the sub-list for extension extendee
	0, // [0:1] is the sub-list for field type_name
}

func init() { file_uzytkownicy_uzytkownicy_proto_init() }
func file_uzytkownicy_uzytkownicy_proto_init() {
	if File_uzytkownicy_uzytkownicy_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_uzytkownicy_uzytkownicy_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*NowyUzytkownik); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_uzytkownicy_uzytkownicy_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Uzytkownik); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_uzytkownicy_uzytkownicy_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PobierzPrmUzytkownikow); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_uzytkownicy_uzytkownicy_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListaUzytkownikow); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_uzytkownicy_uzytkownicy_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   4,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_uzytkownicy_uzytkownicy_proto_goTypes,
		DependencyIndexes: file_uzytkownicy_uzytkownicy_proto_depIdxs,
		MessageInfos:      file_uzytkownicy_uzytkownicy_proto_msgTypes,
	}.Build()
	File_uzytkownicy_uzytkownicy_proto = out.File
	file_uzytkownicy_uzytkownicy_proto_rawDesc = nil
	file_uzytkownicy_uzytkownicy_proto_goTypes = nil
	file_uzytkownicy_uzytkownicy_proto_depIdxs = nil
}
